#
# spec file for package gap-utils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-utils
Version:        0.49
Release:        bp153.1.12
Summary:        GAP: Utility functions in GAP
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            https://gap-packages.github.io/utils

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/utils-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.8.8
Requires:       gap-gapdoc >= 1.5.1
Requires:       gap-polycyclic >= 2.11

%description
The Utils package provides a collection of utility functions gleaned
from many packages.

%prep
%setup -qn utils-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 0.49
  * removed QPA functions PositionsNonzero and NullList
  * changed record.tst so that 4r8 and dev give the same result
* Sat Apr 29 2017 jengelh@inai.de
- Update to new upstream release 0.46
  * added code for converting matrix groups to Magma strings
  * added code for converting perm- and pc-groups to Magma strings
  * added PositionsNonzero and NullList from QPA
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 0.43
  * added function PrintApplicableMethod
* Mon Jun 20 2016 jengelh@inai.de
- Update to new upstream release 0.40
  * added fix to QuotientList
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 0.39
  * updated transfers from RCWA and ResClasses
* Sat Mar 12 2016 jengelh@inai.de
- Initial package (version 0.25) for build.opensuse.org
